Skip to main content
GET
List transactions

Authorizations

Authorization
string
header
required

Organization API key created in Grain Settings → API. The key determines the organization and is limited to its assigned resource scopes. Write scopes imply the corresponding read scope.

Headers

X-Organization-Id
string

Required with OAuth access tokens for resource requests. Omit only for GET /api/v1/organizations. Optional with organization API keys; if supplied with an API key, it must match the key's organization.

Query Parameters

page
integer
default:1

Page number (1-based)

Required range: x >= 1
limit
integer
default:20

Transactions per page

Required range: 1 <= x <= 100

Matches description, reference number, or amount.

transactionType
enum<string>
Available options:
DEPOSIT,
WITHDRAWAL,
TRANSFER,
ADJUSTMENT
dateFrom
string<date>
dateTo
string<date>
isReconciled
enum<string>
Available options:
true,
false
isCategorized
enum<string>

true returns transactions with a journal entry; false returns uncategorized transactions.

Available options:
true,
false
hasAttachments
enum<string>
Available options:
true,
false
reviewStatus
enum<string>
Available options:
DRAFT,
PENDING_REVIEW,
AUTO_CATEGORIZED,
APPROVED,
POSTED,
REJECTED
source
enum<string>
Available options:
PLAID,
RAMP,
MANUAL,
IMPORT
externalId
string

Find the transaction created with this externalId.

amountMin
number
amountMax
number
fundIds
string

Comma-separated fund IDs.

vendorIds
string

Comma-separated vendor IDs.

accountIds
string

Comma-separated category account IDs.

bankAccountIds
string

Comma-separated bank or card feed account IDs.

sortBy
enum<string>
default:date
Available options:
date,
amount,
description,
createdAt
sortOrder
enum<string>
default:desc
Available options:
asc,
desc

Response

Paginated transactions

transactions
object[]
required
pagination
object
required
Last modified on October 10, 2026